Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class Comparison

    java.lang.Object
      org.modeshape.jcr.query.model.Comparison

All Implemented Interfaces:
  Serializable, Comparison, Constraint, LanguageObject, Visitable

    @Immutable
    public class Comparison

extends Object
implements Constraint, Comparison

A constraint that evaluates to true when the defined operation evaluates to true.

See Also:
  Serialized Form

Constructor Summary
`Comparison(DynamicOperand operand1, Operator operator, StaticOperand operand2)`

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`DynamicOperand` | `getOperand1()`
`StaticOperand` | `getOperand2()`
`String` | `getOperator()`
`int` | `hashCode()`
`Operator` | `operator()` Get the operator for this comparison
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Comparison

    public Comparison(DynamicOperand operand1,
                      Operator operator,
                      StaticOperand operand2)

Method Detail

### getOperand1

    public DynamicOperand getOperand1()

  Specified by:
    `getOperand1` in interface `Comparison`

### getOperand2

    public StaticOperand getOperand2()

  Specified by:
    `getOperand2` in interface `Comparison`

### operator

    public final Operator operator()

  Get the operator for this comparison

  Returns:
    the operator; never null

### getOperator

    public String getOperator()

  Specified by:
    `getOperator` in interface `Comparison`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.